<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.jeeplus.pubmodules.luckyDraw.mapper.LuckyDrawAwardsMapper">

    <resultMap id="BaseResultMap" type="com.jeeplus.pubmodules.luckyDraw.service.dto.LuckyDrawAwardsDTO">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="createBy.id" column="create_by_id" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateBy.id" column="update_by_id" jdbcType="VARCHAR"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="delFlag" column="del_flag" jdbcType="INTEGER"/>
            <result property="remarks" column="remarks" jdbcType="VARCHAR"/>
            <result property="eventsId" column="events_id" jdbcType="VARCHAR"/>
            <result property="name" column="name" jdbcType="VARCHAR"/>
            <result property="number" column="number" jdbcType="INTEGER"/>
            <result property="prizeName" column="prize_name" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Awards_Column_List">
        lda.id,
        lda.create_by_id,
        lda.create_time,
        lda.update_by_id,
        lda.update_time,
        lda.del_flag,
        lda.remarks,
        lda.events_id,
        lda.name,
        lda.number,
        lda.prize_name
    </sql>
</mapper>
